Bug 28070

Summary: Installer incounters an internal error while trying to write the boot password
Product: [Retired] Red Hat Linux Reporter: Matthew Lawson <matthew>
Component: anacondaAssignee: Michael Fulbright <msf>
Status: CLOSED NOTABUG QA Contact: Brock Organ <borgan>
Severity: high Docs Contact:
Priority: medium    
Version: 7.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2001-02-20 19:32:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matthew Lawson 2001-02-17 00:33:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.61C-SGI [en] (X11; I; IRIX 6.5 IP22)


When you install in the GUI interface, the installer hangs after finnishing
copying files.  If you try text mode,  after the post install thinger comes
up, it tells you that an exception occurred and asks you to report it
here.  you have three options at this point: OK, which restarts the
computer, "save", which saves a bunch of code to a floppy and then reboots,
and "debug" I do not know what that does exactly.

Reproducible: Always
Steps to Reproduce:
1.insert boot disceset in A drive and Red hat linux cd 1 into cdrom drive.
2.Install in text mode any way you want.
3.wait for the program to finnish copying files.
	

Actual Results:  I got an internal error, apperently somthing to do with
the root password, and no option exept to reboot, save or debug.

Expected Results:  I should have been propted to make a boot diskesset, and
then to restart my computer. after which LiLo should have started

here is the string of code that got saved to my floppy.
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1632, in
doInstall
    self.writeConfiguration ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1383, in
writeConfiguration
    self.writeRootPassword ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 660, in
writeRootPassword
    self.setPassword("root", pure)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1151, in
setPassword
    stdin = p[0], stdout = devnull)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 40, in
execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/bin/passwd can not be run

Local variables in innermost frame:
argv: ['/usr/bin/passwd', '--stdin', 'root']
root: /mnt/sysimage
stdin: 16
newPgrp: 0
stdout: 15
stderr: 2
command: /usr/bin/passwd
searchPath: 0
ignoreTermSigs: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Matthew Lawson 2001-02-18 20:50:57 UTC
This bug may only occur on an optiplex dell pc.

Comment 2 Michael Fulbright 2001-02-20 19:32:24 UTC
On a linux system, mount the CD and try this command:

  rpm -K --nogpg /mnt/cdrom/RedHat/RPMS/passwd*

I think the CD is bad.

Comment 3 Michael Fulbright 2001-03-14 17:57:50 UTC
Closing due to inactivity. Please reopen if you have additional information to add.